org.apache.hc.client5.http.impl.io

## Class DefaultHttpResponseParserFactory

- java.lang.Object
- - org.apache.hc.client5.http.impl.io.DefaultHttpResponseParserFactory

All Implemented Interfaces:
  org.apache.hc.core5.http.io.HttpMessageParserFactory<org.apache.hc.core5.http.HttpResponse>

    @Immutable
    public class DefaultHttpResponseParserFactory
    extends Object
    implements org.apache.hc.core5.http.io.HttpMessageParserFactory<org.apache.hc.core5.http.HttpResponse>

Default factory for response message parsers.

Since:
  4.3

### Field Summary

Fields
`static DefaultHttpResponseParserFactory` `INSTANCE`

### Constructor Summary

Constructors
Constructor and Description
`DefaultHttpResponseParserFactory()`
`DefaultHttpResponseParserFactory(org.apache.hc.core5.http.HttpResponseFactory responseFactory)`
`DefaultHttpResponseParserFactory(org.apache.hc.core5.http.message.LineParser lineParser, org.apache.hc.core5.http.HttpResponseFactory responseFactory)`

### Method Summary

Methods
`org.apache.hc.core5.http.io.HttpMessageParser<org.apache.hc.core5.http.HttpResponse>` `create(org.apache.hc.core5.http.config.MessageConstraints constraints)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final DefaultHttpResponseParserFactory INSTANCE

### Constructor Detail

#### DefaultHttpResponseParserFactory

    public DefaultHttpResponseParserFactory(org.apache.hc.core5.http.message.LineParser lineParser,
                                    org.apache.hc.core5.http.HttpResponseFactory responseFactory)

#### DefaultHttpResponseParserFactory

    public DefaultHttpResponseParserFactory(org.apache.hc.core5.http.HttpResponseFactory responseFactory)

#### DefaultHttpResponseParserFactory

    public DefaultHttpResponseParserFactory()

### Method Detail

#### create

    public org.apache.hc.core5.http.io.HttpMessageParser<org.apache.hc.core5.http.HttpResponse> create(org.apache.hc.core5.http.config.MessageConstraints constraints)

Specified by:
  `create` in interface `org.apache.hc.core5.http.io.HttpMessageParserFactory<org.apache.hc.core5.http.HttpResponse>`